import 'package:flutter/material.dart';
import 'package:primer_practica/src/delegates/article_search_delegate.dart';
import 'package:provider/provider.dart';
import 'package:primer_practica/src/providers/carrito_providers.dart';
import 'package:badges/badges.dart' as badges;

class CustomAppBar extends StatelessWidget implements PreferredSizeWidget {
  @override
  Widget build(BuildContext context) {
    var carrito = Provider.of<CarritoProvider>(context, listen: true);

    return AppBar(
      title: const Text('Home'),
      backgroundColor: Colors.blue,
      actions: [
        IconButton(
          icon: const Icon(Icons.search),
          onPressed: () {
            showSearch(
              context: context,
              delegate: ArticleSearchDelegate(),
            );
          },
        ),
        Padding(
          padding: const EdgeInsets.only(right: 16.0),
          child: badges.Badge(
            badgeContent: Text(
              '${carrito.totalCarrito}',
              style: const TextStyle(color: Colors.white),
            ),
            child: IconButton(
              icon: const Icon(Icons.shopping_cart),
              onPressed: () {
                Navigator.pushNamed(context, 'carrito');
              },
            ),
          ),
        ),
      ],
    );
  }

  @override
  Size get preferredSize => Size.fromHeight(kToolbarHeight);
}
